Bug 1121933 - [virtio-win][netkvm]qemu-kvm quit w/ 'virtio-net header not in first element' when disable vhost
Summary: [virtio-win][netkvm]qemu-kvm quit w/ 'virtio-net header not in first element'...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virtio-win
Version: 6.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Yan Vugenfirer
QA Contact: Virtualization Bugs
URL:
Whiteboard: Fixed_Not_Ship
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 07:42 UTC by Shuang Yu
Modified: 2016-02-04 02:47 UTC (History)
6 users (show)

Fixed In Version: virtio-win-prewhql-0.1-90
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-04 02:47:26 UTC


Attachments (Terms of Use)

Description Shuang Yu 2014-07-22 07:42:29 UTC
Description of problem:
qemu-kvm quit w/ 'virtio-net header not in first element' when disable vhost

Version-Release number of selected component (if applicable):

qemu-img-rhev-0.12.1.2-2.428.el6.x86_64
seabios-0.6.1.2-28.el6.x86_64
kernel-2.6.32-487.el6.x86_64
virtio-win-prewhql-87

How reproducible:


Steps to Reproduce:
1.
/usr/libexec/qemu-kvm -name 087NIC201264CXY -enable-kvm -m 6G -smp 8 -uuid cdab96c9-9566-445c-8340-bf7ac5ada23d -nodefconfig -nodefaults -chardev socket,id=charmonitor,path=/tmp/087NIC201264CXY,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=localtime,driftfix=slew -boot order=cd,menu=on -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -drive file=087NIC201264CXY,if=none,id=drive-ide0-0-0,format=raw,serial=mike_cao,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -drive file=en_windows_server_2012_x64_dvd_915478.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -drive file=087NIC201264CXY.vfd,if=none,id=drive-fdc0-0-0,format=raw,cache=none -global isa-fdc.driveA=drive-fdc0-0-0 -netdev tap,script=/etc/qemu-ifup,downscript=no,id=hostnet0 -device e1000,netdev=hostnet0,id=net0,mac=00:52:73:0b:c9:02,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=isa_serial0 -device usb-tablet,id=input0 -vnc 0.0.0.0:0 -vga cirrus -netdev tap,script=/etc/qemu-ifup-private,downscript=no,id=hostnet1 -device virtio-net-pci,netdev=hostnet1,id=net1,mac=00:52:79:31:80:c7,bus=pci.0
2.
3.

Actual results:
qemu-kvm quit

Expected results:
guest can reboot successfully

Additional info:

Comment 2 Shuang Yu 2014-07-22 07:57:30 UTC
How reproducible:
100%

Steps to Reproduce:

1.start vm without vhost

/usr/libexec/qemu-kvm -name 087NIC201264CXY -enable-kvm -m 6G -smp 8 -uuid cdab96c9-9566-445c-8340-bf7ac5ada23d -nodefconfig -nodefaults -chardev socket,id=charmonitor,path=/tmp/087NIC201264CXY,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=localtime,driftfix=slew -boot order=cd,menu=on -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -drive file=087NIC201264CXY,if=none,id=drive-ide0-0-0,format=raw,serial=mike_cao,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -drive file=en_windows_server_2012_x64_dvd_915478.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -drive file=087NIC201264CXY.vfd,if=none,id=drive-fdc0-0-0,format=raw,cache=none -global isa-fdc.driveA=drive-fdc0-0-0 -netdev tap,script=/etc/qemu-ifup,downscript=no,id=hostnet0 -device e1000,netdev=hostnet0,id=net0,mac=00:52:73:0b:c9:02,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=isa_serial0 -device usb-tablet,id=input0 -vnc 0.0.0.0:0 -vga cirrus -netdev tap,script=/etc/qemu-ifup-private,downscript=no,id=hostnet1 -device virtio-net-pci,netdev=hostnet1,id=net1,mac=00:52:79:31:80:c7,bus=pci.0

Actual results:
qemu-kvm quit with "virtio-net header not in first element"

Expected results:
guest can boot successfully

Comment 3 Shuang Yu 2014-07-22 09:42:28 UTC
virtio-win-1.7.1 w/o vhost,win2012 guest can boot successfully

Comment 4 Mike Cao 2014-07-22 09:44:34 UTC
Marked regression keywords based on comment#3

Comment 13 Shuang Yu 2014-09-02 01:35:27 UTC
Reproduced this issue on virtio-win-prewhql-88 with win2012 guest.
Verify this issue on virtio-win-prewhql-90 with win2012 guest.

Steps:

1.boot win2012 guest with the virtio-win-prewhql-88 netkvm driver
/usr/libexec/qemu-kvm -m 2G -smp 2 -netdev tap,id=hostnet1,script=/etc/qemu-ifup,vhost=on -device virtio-net-pci,netdev=hostnet1,id=net1,mac=00:52:54:56:58:00 -usb -device usb-tablet,id=tablet1 -drive file=win2012-1.qcow2,format=qcow2,if=none,id=drive1 -device ide-drive,drive=drive1,id=disk1 -cdrom en_windows_server_2012_x64_dvd_915478.iso -uuid 138b50ab-25e4-4323-8ae6-ad7be2508915 -monitor stdio -vnc :0 -vga cirrus -name win2012

2.reboot the guest without the vhost=on
/usr/libexec/qemu-kvm -m 2G -smp 2 -netdev tap,id=hostnet1,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet1,id=net1,mac=00:52:54:56:58:00 -usb -device usb-tablet,id=tablet1 -drive file=win2012-1.qcow2,format=qcow2,if=none,id=drive1 -device ide-drive,drive=drive1,id=disk1 -cdrom en_windows_server_2012_x64_dvd_915478.iso -uuid "uuidgen" -monitor stdio -vnc :0 -vga cirrus -name win2012

3.boot win2012 guest with the virtio-win-prewhql-90 netkvm driver
/usr/libexec/qemu-kvm -m 4G -smp 8 -usb -device usb-tablet,id=tablet1 -drive file=win2012.qcow2,format=qcow2,if=none,id=drive1 -device ide-drive,drive=drive1,id=disk1 -cdrom en_windows_server_2012_x64_dvd_915478.iso -uuid 138b50ab-25e4-4323-8ae6-ad7be2508915 -monitor stdio -vnc :1 -vga cirrus -name win2012 -netdev tap,script=/etc/qemu-ifup,downscript=no,id=hostnet1,vhost=on -device virtio-net-pci,netdev=hostnet1,id=net1,mac=00:52:00:09:02:00 -rtc base=localtime,driftfix=slew -boot order=cd,menu=on

4.reboot the guest without the vhost=on
/usr/libexec/qemu-kvm -m 4G -smp 8 -usb -device usb-tablet,id=tablet1 -drive file=win2012.qcow2,format=qcow2,if=none,id=drive1 -device ide-drive,drive=drive1,id=disk1 -cdrom en_windows_server_2012_x64_dvd_915478.iso -uuid 138b50ab-25e4-4323-8ae6-ad7be2508915 -monitor stdio -vnc :1 -vga cirrus -name win2012 -netdev tap,script=/etc/qemu-ifup,downscript=no,id=hostnet1 -device virtio-net-pci,netdev=hostnet1,id=net1,mac=00:52:00:09:02:00 -rtc base=localtime,driftfix=slew -boot order=cd,menu=on

Actual Results:
on virtio-win-prewhql-88 version,qemu-kvm quit with "virtio-net header not in first element".
on virtio-win-prewhql-90 version,the guest can boot successfully.

Based on above,this issue has been fixed already.

Comment 14 Ademar Reis 2014-09-11 14:20:04 UTC
(In reply to shuyu from comment #13)
> Reproduced this issue on virtio-win-prewhql-88 with win2012 guest.
> Verify this issue on virtio-win-prewhql-90 with win2012 guest.
> 

[...]

> Actual Results:
> on virtio-win-prewhql-88 version,qemu-kvm quit with "virtio-net header not
> in first element".
> on virtio-win-prewhql-90 version,the guest can boot successfully.
> 
> Based on above,this issue has been fixed already.

Bug is still in MODIFIED state. I'm marking it ON_QA, but it should probably be VERIFIED. Leaving the final decision to QE to decide if the test above is enough.

Comment 15 Mike Cao 2014-09-11 14:26:06 UTC
(In reply to Ademar Reis from comment #14)
> (In reply to shuyu from comment #13)
> > Reproduced this issue on virtio-win-prewhql-88 with win2012 guest.
> > Verify this issue on virtio-win-prewhql-90 with win2012 guest.
> > 
> 
> [...]
> 
> > Actual Results:
> > on virtio-win-prewhql-88 version,qemu-kvm quit with "virtio-net header not
> > in first element".
> > on virtio-win-prewhql-90 version,the guest can boot successfully.
> > 
> > Based on above,this issue has been fixed already.
> 
> Bug is still in MODIFIED state. I'm marking it ON_QA, but it should probably
> be VERIFIED. Leaving the final decision to QE to decide if the test above is
> enough.

The patches is included in virtio-win-prewhql build instead of virtio-win build ,Which means this bug is transparent to customers 

This should probably will be add into rhel7.1 errata ,move to rhel6.7.0 first 

Mike

Comment 18 lijin 2016-02-04 02:47:26 UTC
close this bug as it has already been fixed in previous release.


Note You need to log in before you can comment on or make changes to this bug.